Support » Plugin: Pods - Custom Content Types and Fields » PHP 7+ Compatibility Errors

  • Resolved daneloctober

    (@daneloctober)


    Hi!

    We’re readying our site to upgrade to PHP 7+, but we get the following warnings:

    FILE: /home/s3/html/wp-content/plugins/pods/components/Templates/includes/functions-view_template.php
    ———————————————————————————————————————————————————–
    FOUND 0 ERRORS AND 1 WARNING AFFECTING 1 LINE
    ———————————————————————————————————————————————————–
    441 | WARNING | Closures / anonymous functions only have access to $this if used within a class or when bound to an object using bindTo(). Please verify.
    ———————————————————————————————————————————————————–

    Are these going to affect the plugin functionality? Will these be addressed soon? We have the latest plugin version. Thank you!

Viewing 2 replies - 1 through 2 (of 2 total)
  • Plugin Author Scott Kingsley Clark

    (@sc0ttkclark)

    Minor issue, definitely won’t affect anything. We will fix in an upcoming release. We have been addressing a number of PHPCS things we’ve seen in Pods over time and this is one that we will get to in Pods 2.8

    Awesome, that’s good to hear. Thanks for the speedy response! 😀 Awesome plugin by the way. 🙂

Viewing 2 replies - 1 through 2 (of 2 total)
  • You must be logged in to reply to this topic.